import 'dart:io';

import 'package:flutter/widgets.dart';
import 'package:lmdb_flutter/src/lmdb.dart';
import 'package:path/path.dart';
import 'package:path_provider/path_provider.dart';

class LmdbFlutter {
  static Future<LMDB> init({String name = 'getx'}) async {
    WidgetsFlutterBinding.ensureInitialized();
    Directory appDocDir = await getApplicationDocumentsDirectory();

    final envFile = File(join(appDocDir.path, name ?? 'getx'));
    if (!envFile.existsSync()) {
      envFile.createSync(recursive: true);
    }
    return LMDB.open(envFile.path);
  }
}
